import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';
import { D as DetailSectionTitle, a as DetailItem } from './utils.js';
import { i as isEmptyObject } from './utils2.js';

const AdditionalQuestionsDetails = /*@__PURE__*/ proxyCustomElement(class AdditionalQuestionsDetails extends HTMLElement {
    constructor(registerHost) {
        super();
        if (registerHost !== false) {
            this.__registerHost();
        }
    }
    render() {
        if (!this.additionalQuestions || isEmptyObject(this.additionalQuestions))
            return null;
        return (h("div", null, h(DetailSectionTitle, { sectionTitle: "Additional Questions" }), h("div", { class: "d-flex flex-column gap-2 w-100 mt-3" }, h("div", { class: "row gy-3" }, h("div", { class: "col-12 col-md-6" }, h(DetailItem, { title: "Business Revenue", value: this.additionalQuestions.business_revenue }), h(DetailItem, { title: "Business Payment Volume", value: this.additionalQuestions.business_payment_volume }))))));
    }
}, [256, "additional-questions-details", {
        "additionalQuestions": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["additional-questions-details"];
    components.forEach(tagName => { switch (tagName) {
        case "additional-questions-details":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, AdditionalQuestionsDetails);
            }
            break;
    } });
}
defineCustomElement();

export { AdditionalQuestionsDetails as A, defineCustomElement as d };
